Skip to content

Start a conversation

Conversations

Authors can start a conversation in a category, providing the title and content of the conversation. A conversation started by an author is always open, meaning the original author and other authors can reply to it. Authors can also like (& unlike!) a conversation and individual replies within the conversation. Authors can also optionally add public tags when starting a conversation. Authors can optionally start a conversation with a poll. A poll consists of a title and options. Existing authors can vote on the poll attached to conversations. Moderators can optionally start a conversation as closed, which means that only moderators can reply to it. Moderators can also optionally start a conversation as sticky, which highlights the conversation at the top of the category on the community.

POST
/conversations/start

Parameters

Query Parameters

authorId*

The ID of author of the conversation

Type
string
Required

Request Body

application/json
JSON
{
  
"title": "Welcome to the community",
  
"content": "Is this your first visit to our community-driven Help Center? Well then welcome to our small world of awesomeness!",
  
"categoryId": 31,
  
"poll": {
  
  
"title": "Which option sounds better?",
  
  
"options": [
  
  
  
[
  
  
  
  
"Option A",
  
  
  
  
"Option B",
  
  
  
  
"Other"
  
  
  
]
  
  
]
  
},
  
"tags": [
  
  
[
  
  
  
"new",
  
  
  
"welcome"
  
  
]
  
],
  
"sticky": false,
  
"closed": false,
  
"moderatorTags": [
  
  
[
  
  
  
"highlighted"
  
  
]
  
]
}

Responses

Conversation started

application/json
JSON
{
  
"id": "string",
  
"publicId": "string"
}

Samples

Gainsight CC Developer Portal